Skip to main content
Reputations webhooks notify your system when:
  • A new reputation object is added after a new account is scanned with an initial scan.
  • An existing reputation object is updated with new information after a periodic scan.

Added

POST /v1/webhooks Implement the reputations.added webhook to know when a reputation object is added.
  • A new reputation object is added when a new account object is created and scanned.

Request body

Webhook message

  • name (string, optional): Name used for the webhook subscription.
  • data (object, optional)
  • account (string (uuid), optional): ID of the account.
  • user (string (uuid), optional): ID of the user.
  • reputation (string (uuid), optional): ID of the reputation.
curl --request POST \\
--url https://api.argyle.com/v1/webhooks \\
--header 'accept: application/json' \\
--header 'content-type: application/json' \\
--data '{
"events": ["reputations.added"],
"name": "name-for-the-webhook-subscription",
"url": "https://your-webhook-backend.com",
"secret": "optional-secret"
}'

{
"event": "reputations.added",
"name": "A reputation was added",
"data": {
"account": "ada143be-3c90-4534-b7ea-9899674dc6e0",
"user": "3823026e-a964-45f6-b201-6b8c096b30d3",
"reputation": "4334r6e-a964-45eef6-b201-64464"
}
},
null,
2
  

Updated

POST /v1/webhooks Implement the reputations.updated webhook to know when a reputation object is updated.
  • Reputation objects are updated through periodic scanning.

Request body

Webhook message

  • name (string, optional): Name used for the webhook subscription.
  • data (object, optional)
  • account (string (uuid), optional): ID of the account.
  • user (string (uuid), optional): ID of the user.
  • reputation (string (uuid), optional): ID of the reputation.
curl --request POST \\
--url https://api.argyle.com/v1/webhooks \\
--header 'accept: application/json' \\
--header 'content-type: application/json' \\
--data '{
"events": ["reputations.updated"],
"name": "name-for-the-webhook-subscription",
"url": "https://your-webhook-backend.com",
"secret": "optional-secret"
}'

{
"event": "reputations.updated",
"name": "A reputation was updated",
"data": {
"account": "ada143be-3c90-4534-b7ea-9899674dc6e0",
"user": "3823026e-a964-45f6-b201-6b8c096b30d3",
"reputation": "4334r6e-a964-45eef6-b201-64464"
}
},
null,
2